HWLOC-GATHER-CPUID(1)

NAME
hwloc-gather-cpuid - Dumps the relevant x86 cpuid values for later (possibly offline) usage

SYNOPSIS
hwloc-gather-cpuid [options] [<outdir>]

OPTIONS

-c <idx>
    Only gather cpuid values for logical processor whose OS/physical index is <idx>.

-h --help
    Display help message and exit

DESCRIPTION
hwloc-gather-cpuid dumps all the relevant x86 cpuid values into subdirectory cpuid of current directory, or in <outdir> if specified.

These files can be used later to explore the machine topology offline, for instance by setting the environment variable HWLOC_CPUID_PATH to the directory containing all output files, and by forcing the x86 backend with HWLOC_COMPONENTS=x86,stop.

The directory contents may also be submitted to hwloc developers to debug issues remotely.

If - is used as <outdir>, the output is dumped to the standard output, but a unique logical processor must have been given with -c.

hwloc-gather-cpuid is a x86 specific tool, it cannot be used on other platforms.

NOTE: hwloc-gather-cpuid gathers many hardware details about the platform. Output files should not be posted on public lists or websites unless it is clear that they contain no sensitive information.

NOTE: It is highly recommended that you read the hwloc(7) overview page before reading this man page.

EXAMPLES

To store cpuid information of all logical processors of the current machine:
        $ hwloc-gather-cpuid
        Gathering in directory ./cpuid ...
        Gathering CPUID of PU P#0 in path ./hwloc-x86-cpuid/pu0 ...
        Gathering CPUID of PU P#1 in path ./hwloc-x86-cpuid/pu1 ...
        Gathering CPUID of PU P#2 in path ./hwloc-x86-cpuid/pu2 ...
        Gathering CPUID of PU P#3 in path ./hwloc-x86-cpuid/pu3 ...
        Summary written to ./cpuid/hwloc-cpuid-info

RETURN VALUE
Upon successful execution, hwloc-gather-cpuid will exit with the code 0.

hwloc-gather-cpuid will return nonzero exit status if any kind of error occurs, such as (but not limited to) failure to create the output files.

SEE ALSO
hwloc(7), lstopo(1)